import { flags, SfdxCommand } from '@salesforce/command';
import { Logger } from '@salesforce/core';
import { CommandRequirements, HasRequirements, Requirement } from '@salesforce/lwc-dev-mobile-core/lib/common/Requirements';
export declare class Preview extends SfdxCommand implements HasRequirements {
    static description: string;
    static args: {
        name: string;
    }[];
    static flagsConfig: {
        apiversion?: import("@salesforce/ts-types").Optional<flags.Builtin>;
        concise?: import("@salesforce/ts-types").Optional<flags.Builtin>;
        quiet?: import("@salesforce/ts-types").Optional<flags.Builtin>;
        verbose?: import("@salesforce/ts-types").Optional<flags.Builtin>;
        targetdevhubusername?: undefined;
        targetusername?: undefined;
        componentname: flags.Discriminated<flags.Option<string>>;
        configfile: flags.Discriminated<flags.Option<string>>;
        confighelp: flags.Discriminated<flags.Boolean<void>>;
        projectdir: flags.Discriminated<flags.Option<string>>;
        target: flags.Discriminated<flags.Option<string>>;
        targetapp: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    examples: string[];
    private serverPort;
    private deviceName;
    private componentName;
    private targetApp;
    private projectDir;
    private configFilePath;
    private appConfig;
    run(): Promise<any>;
    private validateInputParameters;
    protected init(): Promise<void>;
    protected _help(): never;
    private useLwcServerForPreviewing;
    private _requirements;
    get commandRequirements(): CommandRequirements;
    private launchPreview;
    private launchIOS;
    private launchAndroid;
}
export declare class LwcServerPluginInstalledRequirement implements Requirement {
    title: string;
    fulfilledMessage: string;
    unfulfilledMessage: string;
    logger: Logger;
    constructor(logger: Logger);
    checkFunction(): Promise<string>;
}
export declare class LwcServerIsRunningRequirement implements Requirement {
    title: string;
    fulfilledMessage: string;
    unfulfilledMessage: string;
    logger: Logger;
    constructor(logger: Logger);
    checkFunction(): Promise<string>;
}
//# sourceMappingURL=preview.d.ts.map